%  event2struct - Convert a ServerEvent to a Matlab structure.   
%   
%  CALL:   
%   S = event2struct(event)   
%   
%  INPUT:   
%   event:   
%     nl.modelit.matlabserver.ServerEvent   
%   
%  OUTPUT:   
%   S:   
%     struct with fields   
%      - RequestMethod:      String   
%      - RequestQueryString: String   
%      - RemoteAddr:         String   
%      - RequestBody:        String   
%      - RequestContentType: String   
%      - RequestURL:         String   
%   
%  See also: getInputString   
%   
%    Copyright 2006-2021 Modelit, www.modelit.nl   
   
   
% © Modelit 2006-2023   
% Matlab release: 2020b   
% Date: 2023/01/25 13:07:43   
